> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Update Sales Staff Assignments

PUT https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/{salesStaffId}
Content-Type: application/json

Updates the Company assignments of the Sales Staff account associated with `salesStaffId`. This operation is non-destructive, meaning that assigning or unassigning a single Company from the Sales Staff does not affect the other assignments.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/sales-staff/put-sales-staffs-sales-staff-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `salesStaffId` (integer, required) — Unique numeric ID of the Sales Staff account.

### Body (application/json)

This endpoint expects a list of SalesStaffsSalesStaffIdPutRequestBodyContentApplicationJsonSchemaItems.

- `list of SalesStaffsSalesStaffIdPutRequestBodyContentApplicationJsonSchemaItems`

## Response

### 200

OK

- `code` (integer, optional, default: 200) — The HTTP Status code of the response.
- `data` (SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 400 Bad Request Error

Bad Request This response will be returned only for malformed JSON.

- `code` (integer, optional, default: 400) — The HTTP Status code of the response.
- `data` (SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaMeta, optional)

### 422 Unprocessable Entity Error

Parameter Error This error may be thrown for any of the following: - incorrect `salesStaffId`, - incorrect `companyId`, - invalid `assignStatus` type, or - invalid `companyId` type. Use `errMsg` to determine the specific cause.

- `code` (integer, optional, default: 422) — The HTTP Status code of the response.
- `data` (SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaData, optional)
- `meta` (SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### SalesStaffsSalesStaffIdPutRequestBodyContentApplicationJsonSchemaItems

- `companyId` (integer, required) — The unique numeric ID of a Company account.
- `assignStatus` (boolean, required) — Indicates whether the Sales Staff account is being assigned to (`true`) or unassigned from (`false`) the Company.

### SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional)

### SalesStaffsSalesStaffIdPutResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: Parameter Error)

## Examples

**Request**

```json
[
  {
    "companyId": 123456,
    "assignStatus": true
  }
]
```

**Response**

```json
{
  "code": 200,
  "data": {},
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1"

payload = [
    {
        "companyId": 123456,
        "assignStatus": True
    }
]
headers = {
    "X-Auth-Token": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1';
const options = {
  method: 'PUT',
  headers: {'X-Auth-Token': '<apiKey>', 'Content-Type': 'application/json'},
  body: '[{"companyId":123456,"assignStatus":true}]'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1"

	payload := strings.NewReader("[\n  {\n    \"companyId\": 123456,\n    \"assignStatus\": true\n  }\n]")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("X-Auth-Token", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["X-Auth-Token"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "[\n  {\n    \"companyId\": 123456,\n    \"assignStatus\": true\n  }\n]"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1")
  .header("X-Auth-Token", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("[\n  {\n    \"companyId\": 123456,\n    \"assignStatus\": true\n  }\n]")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1', [
  'body' => '[
  {
    "companyId": 123456,
    "assignStatus": true
  }
]',
  'headers' => [
    'Content-Type' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1");
var request = new RestRequest(Method.PUT);
request.AddHeader("X-Auth-Token", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "[\n  {\n    \"companyId\": 123456,\n    \"assignStatus\": true\n  }\n]", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Auth-Token": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  [
    "companyId": 123456,
    "assignStatus": true
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/sales-staffs/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```